Properties Methods Events Direct Link

# Class Number

Package: | Global
Defined In: | Ext.js
Class: | Number
Extends: | Object

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

constrain( `Number min`, `Number max` ) : Number
Checks whether or not the current number is within a desired range. If the number is already within the range it is ...
Checks whether or not the current number is within a desired range. If the number is already within the range it is returned, otherwise the min or max value is returned depending on which side of the range is exceeded. Note that this method returns the constrained value but does not change the current number.
Parameters:

- `min` : Number
  The minimum number in the range
- `max` : Number
  The maximum number in the range

Returns:

- `Number`
  The constrained value if outside the range, otherwise the current value

Number

## Public Events

This class has no public events.